[Fusionforge-commits] FusionForge branch master updated. e0ac636cc40b1086136e8fd0fe641e0572e08c7f

Thorsten Glaser mirabilos at fusionforge.org
Tue Jan 6 14:16:02 CET 2015


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "FusionForge".

The branch, master has been updated
       via  e0ac636cc40b1086136e8fd0fe641e0572e08c7f (commit)
       via  13a01838142e9ca5198aecdbe310114125e99936 (commit)
      from  4b203fbc2608e396398b9853f4aaaa7a6713914c (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit e0ac636cc40b1086136e8fd0fe641e0572e08c7f
Author: Thorsten Glaser <t.glaser at tarent.de>
Date:   Tue Jan 6 14:15:46 2015 +0100

    explicitly mark the local directory source as trusted
    
    removes the need for APT::Get::AllowUnauthenticated

diff --git a/autoinstall/debian-backports-itk2.4.sh b/autoinstall/debian-backports-itk2.4.sh
index 8de9214..e889717 100755
--- a/autoinstall/debian-backports-itk2.4.sh
+++ b/autoinstall/debian-backports-itk2.4.sh
@@ -15,9 +15,6 @@ cat <<'EOF' > /usr/src/backports/wheezy/D70results
 # Make sure local repo is updated before building
 cd /usr/src/backports/wheezy/
 dpkg-scanpackages . /dev/null > Packages
-# It would be better to sign but that's complex in the context of pbuilder
-# Also 'pbuilder --allow-untrusted' only works with the default satisfydepends
-echo 'APT::Get::AllowUnauthenticated "true";' > /etc/apt/apt.conf.d/99AllowUnauthenticated
 apt-get update
 EOF
 chmod 755 /usr/src/backports/wheezy/D70results
@@ -26,7 +23,7 @@ chmod 755 /usr/src/backports/wheezy/D70results
 if [ ! -e /var/cache/pbuilder/base-wheezy-bpo.tar.gz ]; then
     sudo pbuilder --create --basetgz /var/cache/pbuilder/base-wheezy-bpo.tar.gz \
       --distribution wheezy \
-      --othermirror "deb http://security.debian.org/ wheezy/updates main|deb http://ftp.fr.debian.org/debian wheezy-backports main|deb file:///usr/src/backports/wheezy ./" \
+      --othermirror "deb http://security.debian.org/ wheezy/updates main|deb http://ftp.fr.debian.org/debian wheezy-backports main|deb [trusted=yes] file:///usr/src/backports/wheezy ./" \
       --bindmounts /usr/src/backports/wheezy/
 fi
 # Update regularly:
@@ -241,7 +238,6 @@ apt-get source mod-wsgi/jessie
 #{{{
 #sudo pbuilder --login --basetgz /var/cache/pbuilder/base-wheezy-bpo.tar.gz --bindmounts /usr/src/backports
 #apt-get update
-#echo 'APT::Get::AllowUnauthenticated "true";' > /etc/apt/apt.conf.d/99AllowUnauthenticated
 #cd /usr/src/backports/sources/apache2-2.4.10/
 #apt-get install pbuilder devscripts fakeroot
 #/usr/lib/pbuilder/pbuilder-satisfydepends-experimental

commit 13a01838142e9ca5198aecdbe310114125e99936
Author: Thorsten Glaser <t.glaser at tarent.de>
Date:   Tue Jan 6 14:14:22 2015 +0100

    use globbing, so commits like 1da968c426f3c69573540454beaf91ef0c0e6d77 will not be necessary

diff --git a/autoinstall/debian-backports-itk2.4.sh b/autoinstall/debian-backports-itk2.4.sh
index d1ee808..8de9214 100755
--- a/autoinstall/debian-backports-itk2.4.sh
+++ b/autoinstall/debian-backports-itk2.4.sh
@@ -48,11 +48,15 @@ export DEB_BUILD_OPTIONS="parallel=$(nproc) nocheck"
 # Create a working directory for sources
 mkdir /usr/src/backports/sources/
 cd /usr/src/backports/sources/
+# Remove old extracted source dirs so that globbing new ones
+# will match precisely the just downloaded version only
+rm -rf apr-*/ apache2-*/ mpm-itk-*/ libgd2-*/ php5-*/ dh-php5-*/ \
+    php-json-*/ xdebug-*/ subversion-*/ mod-wsgi-*/
 
 # Dependencies to add in our local repo
 apt-get source apr/jessie
 (
-    cd apr-1.5.1/
+    cd apr-*/
     dch --bpo "No changes."
     sed -i '1 s/~bpo/~ff/' debian/changelog
     pdebuild --debbuildopts '-v1.4.6-3+deb7u1' \
@@ -64,7 +68,7 @@ apt-get source apr/jessie
 )
 apt-get source apr-util/jessie
 (
-    cd apr-util-1.5.4/
+    cd apr-util-*/
     dch --bpo "No changes."
     sed -i '1 s/~bpo/~ff/' debian/changelog
     pdebuild --debbuildopts '-v1.4.1-3' \
@@ -78,7 +82,7 @@ apt-get source apr-util/jessie
 # Apache 2.4 itself
 apt-get source apache2/jessie
 (
-    cd apache2-2.4.10/
+    cd apache2-*/
     dch --bpo "Note: depends on backported libapr."
     dch -a "Don't support symlink<->dir changes to avoid dpkg >= 1.17"
     sed -i -e '/^\(dir_to_symlink\|symlink_to_dir\)/d' debian/*.maintscript
@@ -95,7 +99,7 @@ apt-get source apache2/jessie
 # mpm_itk - separate package in Jessie
 apt-get source mpm-itk/jessie
 (
-    cd mpm-itk-2.4.7-02/  # even for 2.4.10-8
+    cd mpm-itk-*/
     dch --bpo "Note: compiled against Apache 2.4.10"
     sed -i '1 s/~bpo/~ff/' debian/changelog
     pdebuild --debbuildopts '-v0' \
@@ -111,7 +115,7 @@ apt-get source mpm-itk/jessie
 # PHP 5.6 dependency
 apt-get source libgd2/jessie
 (
-    cd libgd2-2.1.0/
+    cd libgd2-*/
     dch --bpo "No changes."
     sed -i '1 s/~bpo/~ff/' debian/changelog
     pdebuild --debbuildopts '-v2.0.36~rc1~dfsg-6.1' \
@@ -125,7 +129,7 @@ apt-get source libgd2/jessie
 # PHP 5.6 for Apache 2.4
 apt-get source php5/jessie
 (
-    cd php5-5.6.4+dfsg/
+    cd php5-*/
     dch --bpo "Note: libapache2-mod-php5 rebuilt against Apache 2.4.10"
     sed -i '1 s/~bpo/~ff/' debian/changelog
     pdebuild --debbuildopts '-v5.4.4-14+deb7u14' \
@@ -139,7 +143,7 @@ apt-get source php5/jessie
 # Run-time dependency for libapache2-mod-php5
 apt-get source dh-php5/jessie
 (
-    cd dh-php5-0.2/
+    cd dh-php5-*/
     dch --bpo "No changes."
     sed -i '1 s/~bpo/~ff/' debian/changelog
     pdebuild --debbuildopts '-v0' \
@@ -151,7 +155,7 @@ apt-get source dh-php5/jessie
 )
 apt-get source php-json/jessie
 (
-    cd php-json-1.3.6/
+    cd php-json-*/
     dch --bpo "No changes."
     pdebuild --debbuildopts '-v0~0' \
         --use-pdebuild-internal --buildresult /usr/src/backports/wheezy/ \
@@ -164,7 +168,7 @@ apt-get source php-json/jessie
 # PHPUnit indirect dependency - rebuilt against PHP 5.6
 apt-get source xdebug/jessie
 (
-    cd xdebug-2.2.5/
+    cd xdebug-*/
     dch --bpo "Note: rebuilt against PHP 5.6."
     sed -i '1 s/~bpo/~ff/' debian/changelog
     pdebuild --debbuildopts '-v2.2.1-2' \
@@ -180,7 +184,7 @@ apt-get source xdebug/jessie
 # mod_dav_svn for Apache 2.4
 apt-get source subversion/jessie
 (
-    cd subversion-1.8.10/
+    cd subversion-*/
     sed -i -e 's/db5.3/db5.1/' debian/control
     dch --bpo "Use libdb5.1 instead of 5.3."
     patch -p1 <<'EOF'
@@ -218,7 +222,7 @@ EOF
 # mod_wsgi for Apache 2.4
 apt-get source mod-wsgi/jessie
 (
-    cd mod-wsgi-4.3.0/
+    cd mod-wsgi-*/
     dch --bpo "Note: compiled against Apache 2.4.10"
     sed -i '1 s/~bpo/~ff/' debian/changelog
     pdebuild --debbuildopts '-v3.3-4+deb7u1' \

-----------------------------------------------------------------------

Summary of changes:
 autoinstall/debian-backports-itk2.4.sh |   32 ++++++++++++++++----------------
 1 file changed, 16 insertions(+), 16 deletions(-)


hooks/post-receive
-- 
FusionForge



More information about the Fusionforge-commits mailing list